
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: grafana
  namespace: monitoring
spec:
  gateways:
  - global-gateway.istio-system.svc.cluster.local
  hosts:
  - grafana.progressoft.dev
  http:
  - match:
    - uri:
        prefix: "/"
    route:
    - destination:
        host: grafana.monitoring.svc.cluster.local
        port:
          number: "3000"  